import { Coin, CoinAmino } from "../../base/v1beta1/coin";
import { ContinuousFund, ContinuousFundAmino, Params, ParamsAmino } from "./types";
import { BinaryReader, BinaryWriter } from "../../../binary";
import { DeepPartial } from "../../../helpers";
/**
 * QueryCommunityPoolRequest is the request type for the Query/CommunityPool RPC
 * method.
 * @name QueryCommunityPoolRequest
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryCommunityPoolRequest
 */
export interface QueryCommunityPoolRequest {
}
export interface QueryCommunityPoolRequestProtoMsg {
    typeUrl: "/cosmos.protocolpool.v1.QueryCommunityPoolRequest";
    value: Uint8Array;
}
/**
 * QueryCommunityPoolRequest is the request type for the Query/CommunityPool RPC
 * method.
 * @name QueryCommunityPoolRequestAmino
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryCommunityPoolRequest
 */
export interface QueryCommunityPoolRequestAmino {
}
export interface QueryCommunityPoolRequestAminoMsg {
    type: "cosmos-sdk/QueryCommunityPoolRequest";
    value: QueryCommunityPoolRequestAmino;
}
/**
 * QueryCommunityPoolResponse is the response type for the Query/CommunityPool
 * RPC method.
 * @name QueryCommunityPoolResponse
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryCommunityPoolResponse
 */
export interface QueryCommunityPoolResponse {
    /**
     * pool defines community pool's coins.
     */
    pool: Coin[];
}
export interface QueryCommunityPoolResponseProtoMsg {
    typeUrl: "/cosmos.protocolpool.v1.QueryCommunityPoolResponse";
    value: Uint8Array;
}
/**
 * QueryCommunityPoolResponse is the response type for the Query/CommunityPool
 * RPC method.
 * @name QueryCommunityPoolResponseAmino
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryCommunityPoolResponse
 */
export interface QueryCommunityPoolResponseAmino {
    /**
     * pool defines community pool's coins.
     */
    pool: CoinAmino[];
}
export interface QueryCommunityPoolResponseAminoMsg {
    type: "cosmos-sdk/QueryCommunityPoolResponse";
    value: QueryCommunityPoolResponseAmino;
}
/**
 * QueryContinuousFundRequest is the request type for the Query/ContinuousFund
 * RPC method.
 * @name QueryContinuousFundRequest
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundRequest
 */
export interface QueryContinuousFundRequest {
    /**
     * recipient is the recipient address to query unclaimed budget amount for.
     */
    recipient: string;
}
export interface QueryContinuousFundRequestProtoMsg {
    typeUrl: "/cosmos.protocolpool.v1.QueryContinuousFundRequest";
    value: Uint8Array;
}
/**
 * QueryContinuousFundRequest is the request type for the Query/ContinuousFund
 * RPC method.
 * @name QueryContinuousFundRequestAmino
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundRequest
 */
export interface QueryContinuousFundRequestAmino {
    /**
     * recipient is the recipient address to query unclaimed budget amount for.
     */
    recipient: string;
}
export interface QueryContinuousFundRequestAminoMsg {
    type: "cosmos-sdk/QueryContinuousFundRequest";
    value: QueryContinuousFundRequestAmino;
}
/**
 * QueryUnclaimedBudgetResponse is the response type for the Query/ContinuousFund
 * RPC method.
 * @name QueryContinuousFundResponse
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundResponse
 */
export interface QueryContinuousFundResponse {
    /**
     * ContinuousFunds is the given continuous fund returned in the query.
     */
    continuousFund: ContinuousFund;
}
export interface QueryContinuousFundResponseProtoMsg {
    typeUrl: "/cosmos.protocolpool.v1.QueryContinuousFundResponse";
    value: Uint8Array;
}
/**
 * QueryUnclaimedBudgetResponse is the response type for the Query/ContinuousFund
 * RPC method.
 * @name QueryContinuousFundResponseAmino
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundResponse
 */
export interface QueryContinuousFundResponseAmino {
    /**
     * ContinuousFunds is the given continuous fund returned in the query.
     */
    continuous_fund: ContinuousFundAmino;
}
export interface QueryContinuousFundResponseAminoMsg {
    type: "cosmos-sdk/QueryContinuousFundResponse";
    value: QueryContinuousFundResponseAmino;
}
/**
 * QueryContinuousFundRequest is the request type for the Query/ContinuousFunds
 * RPC method.
 * @name QueryContinuousFundsRequest
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundsRequest
 */
export interface QueryContinuousFundsRequest {
}
export interface QueryContinuousFundsRequestProtoMsg {
    typeUrl: "/cosmos.protocolpool.v1.QueryContinuousFundsRequest";
    value: Uint8Array;
}
/**
 * QueryContinuousFundRequest is the request type for the Query/ContinuousFunds
 * RPC method.
 * @name QueryContinuousFundsRequestAmino
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundsRequest
 */
export interface QueryContinuousFundsRequestAmino {
}
export interface QueryContinuousFundsRequestAminoMsg {
    type: "cosmos-sdk/QueryContinuousFundsRequest";
    value: QueryContinuousFundsRequestAmino;
}
/**
 * QueryUnclaimedBudgetResponse is the response type for the Query/ContinuousFunds
 * RPC method.
 * @name QueryContinuousFundsResponse
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundsResponse
 */
export interface QueryContinuousFundsResponse {
    /**
     * ContinuousFunds defines all continuous funds in state.
     */
    continuousFunds: ContinuousFund[];
}
export interface QueryContinuousFundsResponseProtoMsg {
    typeUrl: "/cosmos.protocolpool.v1.QueryContinuousFundsResponse";
    value: Uint8Array;
}
/**
 * QueryUnclaimedBudgetResponse is the response type for the Query/ContinuousFunds
 * RPC method.
 * @name QueryContinuousFundsResponseAmino
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundsResponse
 */
export interface QueryContinuousFundsResponseAmino {
    /**
     * ContinuousFunds defines all continuous funds in state.
     */
    continuous_funds: ContinuousFundAmino[];
}
export interface QueryContinuousFundsResponseAminoMsg {
    type: "cosmos-sdk/QueryContinuousFundsResponse";
    value: QueryContinuousFundsResponseAmino;
}
/**
 * QueryParamsRequest is the response type for the Query/Params RPC method.
 * @name QueryParamsRequest
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryParamsRequest
 */
export interface QueryParamsRequest {
}
export interface QueryParamsRequestProtoMsg {
    typeUrl: "/cosmos.protocolpool.v1.QueryParamsRequest";
    value: Uint8Array;
}
/**
 * QueryParamsRequest is the response type for the Query/Params RPC method.
 * @name QueryParamsRequestAmino
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryParamsRequest
 */
export interface QueryParamsRequestAmino {
}
export interface QueryParamsRequestAminoMsg {
    type: "cosmos-sdk/QueryParamsRequest";
    value: QueryParamsRequestAmino;
}
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method.
 * @name QueryParamsResponse
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryParamsResponse
 */
export interface QueryParamsResponse {
    params: Params;
}
export interface QueryParamsResponseProtoMsg {
    typeUrl: "/cosmos.protocolpool.v1.QueryParamsResponse";
    value: Uint8Array;
}
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method.
 * @name QueryParamsResponseAmino
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryParamsResponse
 */
export interface QueryParamsResponseAmino {
    params: ParamsAmino;
}
export interface QueryParamsResponseAminoMsg {
    type: "cosmos-sdk/QueryParamsResponse";
    value: QueryParamsResponseAmino;
}
/**
 * QueryCommunityPoolRequest is the request type for the Query/CommunityPool RPC
 * method.
 * @name QueryCommunityPoolRequest
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryCommunityPoolRequest
 */
export declare const QueryCommunityPoolRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryCommunityPoolRequest;
    isAmino(o: any): o is QueryCommunityPoolRequestAmino;
    encode(_: QueryCommunityPoolRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryCommunityPoolRequest;
    fromPartial(_: DeepPartial<QueryCommunityPoolRequest>): QueryCommunityPoolRequest;
    fromAmino(_: QueryCommunityPoolRequestAmino): QueryCommunityPoolRequest;
    toAmino(_: QueryCommunityPoolRequest): QueryCommunityPoolRequestAmino;
    fromAminoMsg(object: QueryCommunityPoolRequestAminoMsg): QueryCommunityPoolRequest;
    toAminoMsg(message: QueryCommunityPoolRequest): QueryCommunityPoolRequestAminoMsg;
    fromProtoMsg(message: QueryCommunityPoolRequestProtoMsg): QueryCommunityPoolRequest;
    toProto(message: QueryCommunityPoolRequest): Uint8Array;
    toProtoMsg(message: QueryCommunityPoolRequest): QueryCommunityPoolRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryCommunityPoolResponse is the response type for the Query/CommunityPool
 * RPC method.
 * @name QueryCommunityPoolResponse
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryCommunityPoolResponse
 */
export declare const QueryCommunityPoolResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryCommunityPoolResponse;
    isAmino(o: any): o is QueryCommunityPoolResponseAmino;
    encode(message: QueryCommunityPoolResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryCommunityPoolResponse;
    fromPartial(object: DeepPartial<QueryCommunityPoolResponse>): QueryCommunityPoolResponse;
    fromAmino(object: QueryCommunityPoolResponseAmino): QueryCommunityPoolResponse;
    toAmino(message: QueryCommunityPoolResponse): QueryCommunityPoolResponseAmino;
    fromAminoMsg(object: QueryCommunityPoolResponseAminoMsg): QueryCommunityPoolResponse;
    toAminoMsg(message: QueryCommunityPoolResponse): QueryCommunityPoolResponseAminoMsg;
    fromProtoMsg(message: QueryCommunityPoolResponseProtoMsg): QueryCommunityPoolResponse;
    toProto(message: QueryCommunityPoolResponse): Uint8Array;
    toProtoMsg(message: QueryCommunityPoolResponse): QueryCommunityPoolResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryContinuousFundRequest is the request type for the Query/ContinuousFund
 * RPC method.
 * @name QueryContinuousFundRequest
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundRequest
 */
export declare const QueryContinuousFundRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryContinuousFundRequest;
    isAmino(o: any): o is QueryContinuousFundRequestAmino;
    encode(message: QueryContinuousFundRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryContinuousFundRequest;
    fromPartial(object: DeepPartial<QueryContinuousFundRequest>): QueryContinuousFundRequest;
    fromAmino(object: QueryContinuousFundRequestAmino): QueryContinuousFundRequest;
    toAmino(message: QueryContinuousFundRequest): QueryContinuousFundRequestAmino;
    fromAminoMsg(object: QueryContinuousFundRequestAminoMsg): QueryContinuousFundRequest;
    toAminoMsg(message: QueryContinuousFundRequest): QueryContinuousFundRequestAminoMsg;
    fromProtoMsg(message: QueryContinuousFundRequestProtoMsg): QueryContinuousFundRequest;
    toProto(message: QueryContinuousFundRequest): Uint8Array;
    toProtoMsg(message: QueryContinuousFundRequest): QueryContinuousFundRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryUnclaimedBudgetResponse is the response type for the Query/ContinuousFund
 * RPC method.
 * @name QueryContinuousFundResponse
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundResponse
 */
export declare const QueryContinuousFundResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryContinuousFundResponse;
    isAmino(o: any): o is QueryContinuousFundResponseAmino;
    encode(message: QueryContinuousFundResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryContinuousFundResponse;
    fromPartial(object: DeepPartial<QueryContinuousFundResponse>): QueryContinuousFundResponse;
    fromAmino(object: QueryContinuousFundResponseAmino): QueryContinuousFundResponse;
    toAmino(message: QueryContinuousFundResponse): QueryContinuousFundResponseAmino;
    fromAminoMsg(object: QueryContinuousFundResponseAminoMsg): QueryContinuousFundResponse;
    toAminoMsg(message: QueryContinuousFundResponse): QueryContinuousFundResponseAminoMsg;
    fromProtoMsg(message: QueryContinuousFundResponseProtoMsg): QueryContinuousFundResponse;
    toProto(message: QueryContinuousFundResponse): Uint8Array;
    toProtoMsg(message: QueryContinuousFundResponse): QueryContinuousFundResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryContinuousFundRequest is the request type for the Query/ContinuousFunds
 * RPC method.
 * @name QueryContinuousFundsRequest
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundsRequest
 */
export declare const QueryContinuousFundsRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryContinuousFundsRequest;
    isAmino(o: any): o is QueryContinuousFundsRequestAmino;
    encode(_: QueryContinuousFundsRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryContinuousFundsRequest;
    fromPartial(_: DeepPartial<QueryContinuousFundsRequest>): QueryContinuousFundsRequest;
    fromAmino(_: QueryContinuousFundsRequestAmino): QueryContinuousFundsRequest;
    toAmino(_: QueryContinuousFundsRequest): QueryContinuousFundsRequestAmino;
    fromAminoMsg(object: QueryContinuousFundsRequestAminoMsg): QueryContinuousFundsRequest;
    toAminoMsg(message: QueryContinuousFundsRequest): QueryContinuousFundsRequestAminoMsg;
    fromProtoMsg(message: QueryContinuousFundsRequestProtoMsg): QueryContinuousFundsRequest;
    toProto(message: QueryContinuousFundsRequest): Uint8Array;
    toProtoMsg(message: QueryContinuousFundsRequest): QueryContinuousFundsRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryUnclaimedBudgetResponse is the response type for the Query/ContinuousFunds
 * RPC method.
 * @name QueryContinuousFundsResponse
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryContinuousFundsResponse
 */
export declare const QueryContinuousFundsResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryContinuousFundsResponse;
    isAmino(o: any): o is QueryContinuousFundsResponseAmino;
    encode(message: QueryContinuousFundsResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryContinuousFundsResponse;
    fromPartial(object: DeepPartial<QueryContinuousFundsResponse>): QueryContinuousFundsResponse;
    fromAmino(object: QueryContinuousFundsResponseAmino): QueryContinuousFundsResponse;
    toAmino(message: QueryContinuousFundsResponse): QueryContinuousFundsResponseAmino;
    fromAminoMsg(object: QueryContinuousFundsResponseAminoMsg): QueryContinuousFundsResponse;
    toAminoMsg(message: QueryContinuousFundsResponse): QueryContinuousFundsResponseAminoMsg;
    fromProtoMsg(message: QueryContinuousFundsResponseProtoMsg): QueryContinuousFundsResponse;
    toProto(message: QueryContinuousFundsResponse): Uint8Array;
    toProtoMsg(message: QueryContinuousFundsResponse): QueryContinuousFundsResponseProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryParamsRequest is the response type for the Query/Params RPC method.
 * @name QueryParamsRequest
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryParamsRequest
 */
export declare const QueryParamsRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryParamsRequest;
    isAmino(o: any): o is QueryParamsRequestAmino;
    encode(_: QueryParamsRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryParamsRequest;
    fromPartial(_: DeepPartial<QueryParamsRequest>): QueryParamsRequest;
    fromAmino(_: QueryParamsRequestAmino): QueryParamsRequest;
    toAmino(_: QueryParamsRequest): QueryParamsRequestAmino;
    fromAminoMsg(object: QueryParamsRequestAminoMsg): QueryParamsRequest;
    toAminoMsg(message: QueryParamsRequest): QueryParamsRequestAminoMsg;
    fromProtoMsg(message: QueryParamsRequestProtoMsg): QueryParamsRequest;
    toProto(message: QueryParamsRequest): Uint8Array;
    toProtoMsg(message: QueryParamsRequest): QueryParamsRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryParamsResponse is the response type for the Query/Params RPC method.
 * @name QueryParamsResponse
 * @package cosmos.protocolpool.v1
 * @see proto type: cosmos.protocolpool.v1.QueryParamsResponse
 */
export declare const QueryParamsResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryParamsResponse;
    isAmino(o: any): o is QueryParamsResponseAmino;
    encode(message: QueryParamsResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryParamsResponse;
    fromPartial(object: DeepPartial<QueryParamsResponse>): QueryParamsResponse;
    fromAmino(object: QueryParamsResponseAmino): QueryParamsResponse;
    toAmino(message: QueryParamsResponse): QueryParamsResponseAmino;
    fromAminoMsg(object: QueryParamsResponseAminoMsg): QueryParamsResponse;
    toAminoMsg(message: QueryParamsResponse): QueryParamsResponseAminoMsg;
    fromProtoMsg(message: QueryParamsResponseProtoMsg): QueryParamsResponse;
    toProto(message: QueryParamsResponse): Uint8Array;
    toProtoMsg(message: QueryParamsResponse): QueryParamsResponseProtoMsg;
    registerTypeUrl(): void;
};
